org.apache.ignite.compute

## Annotation Type ComputeTaskName

    @Documented
     @Retention(value=RUNTIME)
     @Target(value=TYPE)
    public @interface ComputeTaskName

This annotation allows to assign optional name to grid task. If attached to `ComputeTask` implementation Ignite will take this name as a task name instead of default which is grid task's class FQN.

### Required Element Summary

Required Elements
`String` `value`

### Element Detail

#### value

    public abstract String value

Returns:
  Optional task name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022